Skip to main content
POST
/
api
/
v1
/
auth
/
transfers
/
p2p
/
external
P2P external transfer (non-platform address)
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/transfers/p2p/external \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to_address": "<string>",
  "amount": "<string>",
  "network": "tron",
  "from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pricing_profile_id": "<string>",
  "fx_rate_quote_id": "<string>",
  "fiat_currency": "<string>",
  "fiat_amount_equivalent": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
to_address
string
required
amount
string
required
network
enum<string>
required
Available options:
tron,
ethereum
from_wallet_id
string<uuid>
pricing_profile_id
string
fx_rate_quote_id
string
fiat_currency
string
fiat_amount_equivalent
string

Response

200

Transfer result